Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.
  • IIS 6
  • Windows Server 2003

I have a web application that runs on ASP.NET 4.0 inside another application that runs on ASP.NET 2.0 and I get the following error:

It is not possible to run two different versions of ASP.NET in the same IIS process

How Can I solve this?

share|improve this question

2 Answers 2

Create a virtual folder in the iis website for the second site, assign a new application pool for that folder. Pick a different .net version for that application pool. Think that should work.

share|improve this answer
    
Yup, I've seen this work before. Make sure there's a little gear icon for the virtual folder, indicating it's set as an application, then you can reassign the application pool. –  db2 Mar 5 '11 at 0:10

My understanding is that ASP.NET sites run within an AppPool process on IIS. This AppPool is specifically conigured for a number of things, one of which is the .NET version. It's possible to have multiple AppPools on IIS, giving you the ability to run .NET2 sites alongside .NET3.5 and .NET4 sites. However, each site must be configured with the correct AppPool that you want to use.

It's not clear to me what you mean by running an ASP.NET application 'inside' another one. I would suspect that if you have a site that sits under another site, it would reside in the same AppPool as the parent, and therefore would share the .NET version, security credentials etc.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.